package com.monkeycoder.monkeynes.hardware;

import com.monkeycoder.monkeynes.gui.*;

public interface NesController
{ 
  public static final int TYPE_NONE   = 0;
  public static final int TYPE_JOYPAD = 1;
    
  // Type related
  public int    getType();       // returns the type number
  public String getTypeName();   // returns the type name

  // Writing related
  public void   setButtonValue( int inButton, int inValue );

  // Reading related  
  public void   resetStrobe();
  public void   clearStrobe();
  public int    getNextButtonValue();  // returns each button in turn
}