package com.monkeycoder.monkeynes.gui;

import java.util.*;
import java.awt.event.*;

public class ButtonMap
{
  private HashMap map = new HashMap( 8 );
  
  public ButtonMap()
  {
    // Do nothing...
  }
  
  public void addMapping( int inKeyCode, int inButton )
  {
    map.put( new Integer( inKeyCode ), new Integer( inButton ) );
  }
  
  public int getButton( int inKeyCode )
  {
    Integer mapValue = (Integer)map.get( new Integer( inKeyCode ) );
    if( mapValue != null )
      return mapValue.intValue();
    else
      return -1;
  }
  
  public String toString()
  {
    StringBuffer sb = new StringBuffer();

    Object[] keys = map.keySet().toArray();
    sb.append( "ButtonMap\n" );
    for( int i = 0; i < keys.length; i++ )
    {
      sb.append( "  KeyCode: " );
      sb.append( ((Integer)keys[i]).intValue() );
      sb.append( " -> Button: " );
      sb.append( ((Integer)map.get( keys[i] )).intValue() );
      sb.append( "\n" );
    }
    
    return sb.toString();
  }
}